Index: gutenbach-itunes-plugin/INSTALL
===================================================================
--- gutenbach-itunes-plugin/INSTALL	(revision a9e08a4c57b945d7992acb03e951806d776387e7)
+++ gutenbach-itunes-plugin/INSTALL	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -1,10 +1,11 @@
 -----------------
-iTunes -> sipbmp3
+iTunes -> gutenbach
 -----------------
 This is a simple little script which sends
-music from an iTunes library to the sipbmp3
+music from an iTunes library to the gutenbach
 lpr server.
 
 * Changelog
+29 Nov 2009 -> changed the name from sipbmp3 to gutenbach
 23 Aug 2009 -> broder spun loop into shell script instead of
     applescript so that iTunes doesn't hang
@@ -22,16 +23,21 @@
    an IP Printer with the LPD protocol with
    the following information:
-    Address: zygorthian-space-raiders.mit.edu
-    Queue: sipbmp3
+    Address: hostname
+    Queue: gutenbach
    It is not necessary to specify the driver.
 
+   *** Note that you MUST give the printer name as the same name as
+       the queue, NOT the address (which it seems to default to). ***
+
 2) Create the directory ~/Library/iTunes/Scripts
-   and place the "Send to sipbmp3.scpt" file
-   within.
+   and place the scripts you want within.
+
+3) Edit those scripts such, replacing "hostname" with the hostname of
+your printer and "gutenbach" with the printername.
 
 * Usage
 When in iTunes, select the songs which you
 would like to hear in the office, and click
-"Send to sipbmp3" in the script menu from
+the script you want from the script menu from
 the menu bar.  The script menu looks like a
 little scroll icon.  There will be no
Index: gutenbach-itunes-plugin/gutenbach - Get Queue.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Get Queue.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Get Queue.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,21 @@
+-- -----------------
+-- iTunes -> gutenbach
+-- -----------------
+-- This is a simple little script which gets the current queue on gutenbach--
+-- Changelog:
+--
+-- 10 Oct 2009 -> pquimby created this script
+--
+-- Installation:
+-- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
+
+--
+-- Usage:
+--
+-- Run this script from iTunes
+
+set message to (do shell script "lpq -Pgutenbach")
+tell application "iTunes"
+	display dialog "gutenbach currently is playing: " & "
+" & message buttons "OK" default button "OK"
+end tell
Index: gutenbach-itunes-plugin/gutenbach - Queue Music.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Queue Music.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Queue Music.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,50 @@
+-- -----------------
+-- iTunes -> gutenbach
+-- -----------------
+-- This is a simple little script which sends
+-- music from an iTunes library to the gutenbach
+-- lpr server.
+--
+-- Changelog:
+--
+-- 23 Aug 2009 -> broder spun loop into shell script instead of
+--     applescript so that iTunes doesn't hang
+-- 9 Jan 2009 -> price added 'quoted form'
+-- 7 Jan 2009 -> kmill created initial version
+--
+-- Installation:
+--
+-- 1) Launch the Printer Setup Utility and add
+--    an IP Printer with the LPD protocol with
+--    the following information:
+--     Address: zygorthian-space-raiders.mit.edu
+--     Queue: gutenbach
+--    It is not necessary to specify the driver.
+--
+-- 2) Create the directory ~/Library/iTunes/Scripts
+--    and place the "Send to gutenbach.scpt" file
+--    within.
+--
+-- Usage:
+--
+-- When in iTunes, select the songs which you
+-- would like to hear in the office, and click
+-- "Send to gutenbach" in the script menu from
+-- the menu bar.  The script menu looks like a
+-- little scroll icon.  There will be no
+-- feedback beyond the pleasant sounds you now
+-- hear around you.
+
+set ts to ""
+
+tell application "iTunes"
+	repeat with t in selection
+		if class of t is (file track) then
+			set loc to POSIX path of (get location of t)
+			set ts to ts & " " & (quoted form of loc)
+		end if
+	end repeat
+end tell
+
+set command to "(for t in " & ts & "; do lpr -o raw -Pgutenbach \"$t\"; done) >/dev/null 2>&1 </dev/null &"
+do shell script command
Index: gutenbach-itunes-plugin/gutenbach - Remove All.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Remove All.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Remove All.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,15 @@
+-- ------------------
+-- iTunes -> gutenbach
+-- ------------------
+
+-- Changelog:
+--
+-- 10 Oct 2009 -> pquimby created initial version
+--
+
+-- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
+
+-- Usage:
+--  This script will remove all of your songs queued to gutenbach
+
+do shell script "lprm -Pgutenbach -"
Index: gutenbach-itunes-plugin/gutenbach - Toggle Mute.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Toggle Mute.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Toggle Mute.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,20 @@
+-- -----------------
+-- iTunes -> gutenbach
+-- -----------------
+
+-- Changelog:
+-- 10 Nov 2009 -> pquimby created initial version
+
+-- Installation:
+-- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
+
+-- Usage:
+--
+-- Running this script will toggle the mute on gutenbach on or off.
+
+tell application "iTunes"
+	set vol to sound volume
+end tell
+
+set command to "/usr/local/bin/remctl hostname volume set " & vol
+do shell script command
Index: gutenbach-itunes-plugin/gutenbach - Volume Get.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Volume Get.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Volume Get.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,20 @@
+-- ------------------
+-- iTunes -> gutenbach
+-- ------------------
+
+-- Changelog:
+--
+-- 10 Oct 2009 -> pquimby created initial version
+--
+
+--For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder
+
+-- Usage:
+--  This script will get the volume of gutenbach and put it on your iTunes volume scaled to the max value of 31 (which is the max volume for gutenbach at the time this script was written).
+
+
+tell application "iTunes"
+	set currentVolume to (do shell script "/usr/local/bin/remctl hostname volume get")
+	set currentVolume to currentVolume / 31 * 100
+	set the sound volume to currentVolume
+end tell
Index: gutenbach-itunes-plugin/gutenbach - Volume Set.applescript
===================================================================
--- gutenbach-itunes-plugin/gutenbach - Volume Set.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
+++ gutenbach-itunes-plugin/gutenbach - Volume Set.applescript	(revision e52000947ec07db3b47b94c45736b6ed62a55860)
@@ -0,0 +1,16 @@
+-- Changelog:
+--
+-- 5 April 2009 -> pquimby created initial version
+--
+
+-- Usage:
+--  This script will set the volume of gutenbach (assuming you have remctl) to your iTunes volume scaled to the max value of 31 (which is the max volume for gutenbach at the time this script was written).
+
+-- Ex:// If your iTunes volume is set at 50% then you will set the gutenbach volume to .50*31 or roughly 15.
+
+tell application "iTunes"
+	set vol to (sound volume * 31 / 100)
+end tell
+
+set command to "/usr/local/bin/remctl hostname volume set " & vol
+do shell script command
Index: tenbach-itunes-plugin/sipbmp3 - Get Queue.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Get Queue.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,21 +1,0 @@
--- -----------------
--- iTunes -> sipbmp3
--- -----------------
--- This is a simple little script which gets the current queue on sipbmp3--
--- Changelog:
---
--- 10 Oct 2009 -> pquimby created this script
---
--- Installation:
--- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
-
---
--- Usage:
---
--- Run this script from iTunes
-
-set message to (do shell script "lpq -Psipbmp3")
-tell application "iTunes"
-	display dialog "sipbmp3 currently is playing: " & "
-" & message buttons "OK" default button "OK"
-end tell
Index: tenbach-itunes-plugin/sipbmp3 - Queue Music.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Queue Music.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,50 +1,0 @@
--- -----------------
--- iTunes -> sipbmp3
--- -----------------
--- This is a simple little script which sends
--- music from an iTunes library to the sipbmp3
--- lpr server.
---
--- Changelog:
---
--- 23 Aug 2009 -> broder spun loop into shell script instead of
---     applescript so that iTunes doesn't hang
--- 9 Jan 2009 -> price added 'quoted form'
--- 7 Jan 2009 -> kmill created initial version
---
--- Installation:
---
--- 1) Launch the Printer Setup Utility and add
---    an IP Printer with the LPD protocol with
---    the following information:
---     Address: zygorthian-space-raiders.mit.edu
---     Queue: sipbmp3
---    It is not necessary to specify the driver.
---
--- 2) Create the directory ~/Library/iTunes/Scripts
---    and place the "Send to sipbmp3.scpt" file
---    within.
---
--- Usage:
---
--- When in iTunes, select the songs which you
--- would like to hear in the office, and click
--- "Send to sipbmp3" in the script menu from
--- the menu bar.  The script menu looks like a
--- little scroll icon.  There will be no
--- feedback beyond the pleasant sounds you now
--- hear around you.
-
-set ts to ""
-
-tell application "iTunes"
-	repeat with t in selection
-		if class of t is (file track) then
-			set loc to POSIX path of (get location of t)
-			set ts to ts & " " & (quoted form of loc)
-		end if
-	end repeat
-end tell
-
-set command to "(for t in " & ts & "; do lpr -o raw -Psipbmp3 \"$t\"; done) >/dev/null 2>&1 </dev/null &"
-do shell script command
Index: tenbach-itunes-plugin/sipbmp3 - Remove All.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Remove All.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,15 +1,0 @@
--- ------------------
--- iTunes -> sipbmp3
--- ------------------
-
--- Changelog:
---
--- 10 Oct 2009 -> pquimby created initial version
---
-
--- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
-
--- Usage:
---  This script will remove all of your songs queued to sipbmp3
-
-do shell script "lprm -Psipbmp3 -"
Index: tenbach-itunes-plugin/sipbmp3 - Toggle Mute.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Toggle Mute.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,20 +1,0 @@
--- -----------------
--- iTunes -> sipbmp3
--- -----------------
-
--- Changelog:
--- 10 Nov 2009 -> pquimby created initial version
-
--- Installation:
--- For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder--
-
--- Usage:
---
--- Running this script will toggle the mute on sipbmp3 on or off.
-
-tell application "iTunes"
-	set vol to sound volume
-end tell
-
-set command to "/usr/local/bin/remctl zsr volume set " & vol
-do shell script command
Index: tenbach-itunes-plugin/sipbmp3 - Volume Get.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Volume Get.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,20 +1,0 @@
--- ------------------
--- iTunes -> sipbmp3
--- ------------------
-
--- Changelog:
---
--- 10 Oct 2009 -> pquimby created initial version
---
-
---For installation instructions see the INSTALL file in the snippets/sipbmp3-iTunes folder
-
--- Usage:
---  This script will get the volume of sipbmp3 and put it on your iTunes volume scaled to the max value of 31 (which is the max volume for sipbmp3 at the time this script was written).
-
-
-tell application "iTunes"
-	set currentVolume to (do shell script "/usr/local/bin/remctl zsr volume get")
-	set currentVolume to currentVolume / 31 * 100
-	set the sound volume to currentVolume
-end tell
Index: tenbach-itunes-plugin/sipbmp3 - Volume Set.applescript
===================================================================
--- gutenbach-itunes-plugin/sipbmp3 - Volume Set.applescript	(revision bd7b4f8338df926f4d6942831a1e927b29039d6a)
+++ 	(revision )
@@ -1,16 +1,0 @@
--- Changelog:
---
--- 5 April 2009 -> pquimby created initial version
---
-
--- Usage:
---  This script will set the volume of sipbmp3 (assuming you have remctl) to your iTunes volume scaled to the max value of 31 (which is the max volume for sipbmp3 at the time this script was written).
-
--- Ex:// If your iTunes volume is set at 50% then you will set the sipbmp3 volume to .50*31 or roughly 15.
-
-tell application "iTunes"
-	set vol to (sound volume * 31 / 100)
-end tell
-
-set command to "/usr/local/bin/remctl zsr volume set " & vol
-do shell script command
